#pragma once

#include "XPStyleButtonST.h"
#include "ThemeHelperST.h"
#include "ProgressCtrlST.h"
#include "ResourceServerST.h"
#include "Icons.h"

class CDlgProgressCtrlST : public CDialog
{
public:
	CDlgProgressCtrlST(CWnd* pParent, CResourceServerST* m_pIcons);

	//{{AFX_DATA(CDlgProgressCtrlST)
	enum { IDD = IDD_PROGRESSCTRLST };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDlgProgressCtrlST)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);
	//}}AFX_VIRTUAL

protected:

	// Generated message map functions
	//{{AFX_MSG(CDlgProgressCtrlST)
	virtual BOOL OnInitDialog();
	afx_msg void OnBtnStep();
	//}}AFX_MSG

private:
	void OnCancel();
	void OnOK();

	CResourceServerST*	m_pIconsDLL;

	CProgressCtrlST		m_progressCFS;
	CProgressCtrlST		m_progressTiled;
	CProgressCtrlST		m_progressVertical;
	CProgressCtrl		m_progressStandard;

	CThemeHelperST		m_Theme;
	CXPStyleButtonST	m_btnStep;

	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.
